Skip to main content
POST
Create a dataset upload job

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

format
enum<string>
required
Available options:
jsonl,
parquet,
csv,
csv.gz
dataset_id
integer | null

From Create a dataset. Pass this or table_id.

table_id
string | null

From list_data_sources. Pass this or dataset_id.

Response

Successful Response

job_id
string
required
upload_url
string
required

Presigned S3 POST. Send requests.post(upload_url, data=upload_fields, files={'file': f}).

upload_fields
Upload Fields · object
required

Form fields that must go with the file, unchanged.

expires_at
string<date-time>
required
max_bytes
integer
default:134217728

S3 rejects larger files with 400 EntityTooLarge.